package org.eclipse.wtp.releng.test;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Properties;

public class ComputePluginVersion
{
  public static void main(String[] args)
  {
    if (args.length < 2)
    {
      System.out.println("Usage: java org.eclipse.wtp.releng.test.ComputePluginVersion <plugins directory> <output properties file>");
      System.exit(-1);
    }
    Properties p = new Properties();
    File f = new File(args[0]);
    if (f.isDirectory())
    {
      String[] children = f.list();
      for (int i = 0; i < children.length; i++)
      {
        int underscore = children[i].lastIndexOf('_');
        if (underscore != -1)
        {
          String key = children[i].substring(0, underscore);
          String value;
          if (children[i].endsWith(".jar"))
          {
            value = children[i].substring(0, children[i].length() - 4);
          }
          else
          {
            value = children[i];
          }
          p.setProperty(key, value);
        }
      }
    }
    try
    {
      p.store(new FileOutputStream(args[1]), "");
    }
    catch (IOException ioe)
    {
      ioe.printStackTrace();
    }
  }
}